<?php
/*
	Registers settings, adds a new submenu in the admin panel and adds options to array
	@since 0.1

	Copyright (c) 2009 PixoPoint Web Development

*/


/**
 * Do not continue processing since file was called directly
 * @since 0.1
 */
if( !defined( 'ABSPATH' ) )
	return;

/**
 * Load up the menu page
 * @since 0.1
 */
function pixopoint_grunionexport_options_add_page() {

	// Add admin page
	$page = add_options_page(
		__( 'PixoPoint Email Submissions' ), 
		__( 'Email submissions' ), // Name in menu
		'administrator', // Who has access
		'pixopoint_grunionexportoptions', // URL
		'pixopoint_grunionexport_options' // Callback to admin HTML
	);

	// Add styles (only for this admin page)
	add_action( 'admin_print_styles-' . $page, 'pixopoint_grunionexport_admin_styles' );

}
add_action( 'admin_menu', 'pixopoint_grunionexport_options_add_page' );

/**
 * Stuff for between the head tags
 * @since 0.1
 */
function pixopoint_grunionexport_admin_styles() { ?>
<style type="text/css">
	#icon-pixopoint-emailsubmit {
		background:url(<?php echo PIXOPOINT_GRUNIONEXPORT_URL; ?>images/h2_icon.png) no-repeat;
	}
</style>
<?php
}

/**
 * The main admin page content
 * @since 0.1
 */
function pixopoint_grunionexport_options() {
	?>
	<div class="wrap">
		<?php screen_icon( 'pixopoint-emailsubmit' ); ?>
		<h2><?php _e( 'PixoPoint Grunion Export', 'pixopoint_grunionexport_lang' ); ?></h2>

		<div style="clear:both;padding-top:20px;"></div>

		<h3><?php _e( 'Download email lists', 'pixopoint_grunionexport_lang' ); ?></h3>
		<textarea><?php pixopoint_grunion_hook(); ?></textarea>

		<p>
			<small>
				<?php _e( 'Visit the <a href="http://pixopoint.com/products/grunion-export/">PixoPoint Grunion Export page</a> for more information. If you find any bugs, please report them in the  <a href="http://pixopoint.com/forum/index.php?board=3.0">PixoPoint support forum</a>. Please note that we are not accepting unpaid requests for improvements or unpaid support for this plugin. The <a href="http://pixopoint.com/products/email-submit/">PixoPoint Email Submit plugin</a> was created for a specific site and we do not have time to provide free technical assistance for it unfortunately.', 'pixopoint_emailnonce' ); ?>
			</small>
		</p>


</div>

<?php
}

