<?php
/*

Plugin Name: Grunion Export
Plugin URI: http://pixopoint.com/products/grunion-export/
Description: Exports a list of contact details from Grunion records
Author: PixoPoint Web Development / Ryan Hellyer
Version: 1.0
Author URI: http://pixopoint.com/

Copyright (c) 2009 PixoPoint Web Development

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/

/**
 * Load admin page
 * @since 0.1
 */
if ( !is_admin() )
	return;

/**
 * Specifying locations
 * @since 0.1
 */
define( 'PIXOPOINT_GRUNIONEXPORT_AD', "<!-- PixoPoint Grunion Export plugin v0.1 - http://pixopoint.com/products/grunion-export/ -->
" );
define( 'PIXOPOINT_GRUNIONEXPORT_DIR', dirname( __FILE__ ) . '/' );
define( 'PIXOPOINT_GRUNIONEXPORT_URL', WP_PLUGIN_URL . '/' . basename( PIXOPOINT_GRUNIONEXPORT_DIR )  . '/' );

/**
 * Create list
 * @since 0.1
 */
function pixopoint_grunion_hook() {
	//header("Content-type: text/plain");

	// Setting arguments for query
	$args = array(
		'numberposts' => -1, // Grab ALL posts
		'post_type' => 'feedback'  // Post type used by Grunion plugin
	);

	// Grabbing data via query
	$feedback = get_posts( $args );

	// Iterating through each post and extracting/echo'ing desired information
	foreach( $feedback as $bla=>$test ) {
		$post_content = $test->post_content;
		//echo $post_content;
		$name = explode( '    [Name] =&gt; ', $post_content );
		$name = explode( "\n", $name[1] );
		$email = explode ( '    [Email] =&gt; ', $post_content );
		$email = explode( "\n", $email[1] );
		echo $name[0] . ' &lt;' . $email[0] . '&gt;, ';
	}
}

/**
 * Load up the menu page
 * @since 0.1
 */
function pixopoint_grunionexport_admin_add_page() {

	// Add admin page
	$page = add_options_page(
		__( 'PixoPoint Email Submissions' ), 
		__( 'Grunion Export' ), // Name in menu
		'administrator', // Who has access
		'pixopoint_grunionexportadmin', // URL
		'pixopoint_grunionexport_admin' // Callback to admin HTML
	);

	// Add styles (only for this admin page)
	add_action( 'admin_print_styles-' . $page, 'pixopoint_grunionexport_admin_styles' );

}
add_action( 'admin_menu', 'pixopoint_grunionexport_admin_add_page' );

/**
 * Stuff for between the head tags
 * @since 0.1
 */
function pixopoint_grunionexport_admin_styles() { ?>
<style type="text/css">
	#icon-pixopoint-emailsubmit {
		background:url(<?php echo PIXOPOINT_GRUNIONEXPORT_URL; ?>images/h2_icon.png) no-repeat;
	}
</style>
<?php
}

/**
 * The main admin page content
 * @since 0.1
 */
function pixopoint_grunionexport_admin() {
	?>
	<div class="wrap">
		<?php screen_icon( 'pixopoint-emailsubmit' ); ?>
		<h2><?php _e( 'PixoPoint Grunion Export', 'pixopoint_grunionexport_lang' ); ?></h2>

		<div style="clear:both;padding-top:20px;"></div>

		<h3><?php _e( 'Copy email lists', 'pixopoint_grunionexport_lang' ); ?></h3>
		<p>
			<?php _e( 'From here you can copy a complete list of all email addresses submitted via the Grunion Contact form plugin. This is useful for email marketing purposes.', 'pixopoint_grunionexport_lang' ); ?>
		</p>
		<textarea style="width: 100%; height: 300px;"><?php pixopoint_grunion_hook(); ?></textarea>

		<p>
			<small>
				<?php _e( 'Visit the <a href="http://pixopoint.com/products/grunion-export/">PixoPoint Grunion Export page</a> for more information. If you find any bugs, please report them in the  <a href="http://pixopoint.com/forum/index.php?board=3.0">PixoPoint support forum</a>. Please note that we are not accepting unpaid requests for improvements or unpaid support for this plugin. The <a href="http://pixopoint.com/products/email-submit/">PixoPoint Email Submit plugin</a> was created for a specific site and we do not have time to provide free technical assistance for it unfortunately.', 'pixopoint_emailnonce' ); ?>
			</small>
		</p>


</div>

<?php
}

